Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 814753 - Optionally mirror thin pool metadata
Summary: Optionally mirror thin pool metadata
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.4
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: 6.4
Assignee: Zdenek Kabelac
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-20 15:11 UTC by Alasdair Kergon
Modified: 2015-10-07 15:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-07 15:15:14 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alasdair Kergon 2012-04-20 15:11:55 UTC
Provide options that allow the thin pool metadata to be mirrored.

Comment 1 Alasdair Kergon 2012-06-20 21:57:40 UTC
Should this be default?
Which type of mirror?
What config options?

Comment 2 Tom Lavigne 2012-09-07 15:21:42 UTC
This request was evaluated by Red Hat Product Management for 
inclusion in the current release of Red Hat Enterprise Linux.
Since we are unable to provide this feature at this time,  
it has been proposed for the next release of 
Red Hat Enterprise Linux.

Comment 3 Zdenek Kabelac 2012-10-19 08:14:43 UTC
With lvm2 version 2.02.98 we support conversion from i.e. mirror LVs to thin pool. 

So user may select to use mirror for both - pool and metadata LV by this simple command:   

create mirrors  vg/lvmirror1 vg/lvmirror2

lvconvert --thinpool   vg/lvmirror1 --poolmetadata vg/lvmirror2

Comment 5 Zdenek Kabelac 2013-10-10 10:41:26 UTC
Lvm2 used to support conversion to mirrors - this has been however disabled by Jon's patch which generally disabled mirroring support for anything thin related.

The current state however seems to be not equally usable - since raid1 type seems to be pretty unconceivable to  create a raid1 on a single PV even when '--alloc anywhere' is in use.

So what does currently work is:

to convert thin pool data into mirrored:

lvconvert -m+1 --type raid1 vg/pool_tdata    


to convert thin pool metadata into mirrored metadata:

lvconvert -m+1 --type raid1 vg/pool_tmeta

Comment 8 Zdenek Kabelac 2013-10-14 15:40:54 UTC
Option for automated creation of mirror is not yet ready, user may already 'build' mirrored thin-pool metadata with 2 steps, eventually convert an existing thin-pool to a mirrored one.

Moving to 6.6 for separate option.


Note You need to log in before you can comment on or make changes to this bug.